Get a bot
curl --request GET \
--url https://api.closebot.com/bot/{id} \
--header 'X-CB-KEY: <api-key>'{
"id": "<string>",
"name": "<string>",
"modifiedAt": "<string>",
"modifiedBy": "<string>",
"versions": [
{
"version": "<string>",
"name": "<string>",
"published": true,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "<string>"
}
],
"sources": [
{
"id": "<string>",
"category": "<string>",
"key": "<string>",
"name": "<string>",
"tags": [
{
"name": "<string>",
"approveDeny": true,
"id": "<string>"
}
],
"tagFilterConfig": {
"operator": "<string>",
"groups": [
{
"operator": "<string>",
"rules": [
{
"tagName": "<string>",
"tagId": "<string>",
"condition": "<string>"
}
]
}
]
},
"channelList": [
"<string>"
],
"personaNameOverride": "<string>",
"enabled": true,
"flowVariableValues": {}
}
],
"personaIds": [
"<string>"
],
"favorited": true,
"locked": true,
"reschedulingEnabled": true,
"category": "<string>",
"folderId": "<string>",
"followUpActive": true,
"followUpSequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"smartFollowUp": true,
"followUpRepeat": true,
"followUpVarianceMinutes": 123,
"followUpExtraPrompt": "<string>",
"tools": [
{
"id": "<string>",
"type": "<string>",
"enabled": true,
"options": {}
}
],
"followUpStates": [
{
"id": 123,
"name": "<string>",
"isDefault": true,
"sequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"repeatFinal": true,
"extraPrompt": "<string>",
"order": 123
}
]
}Bot
Get a bot
GET
/
bot
/
{id}
Get a bot
curl --request GET \
--url https://api.closebot.com/bot/{id} \
--header 'X-CB-KEY: <api-key>'{
"id": "<string>",
"name": "<string>",
"modifiedAt": "<string>",
"modifiedBy": "<string>",
"versions": [
{
"version": "<string>",
"name": "<string>",
"published": true,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "<string>"
}
],
"sources": [
{
"id": "<string>",
"category": "<string>",
"key": "<string>",
"name": "<string>",
"tags": [
{
"name": "<string>",
"approveDeny": true,
"id": "<string>"
}
],
"tagFilterConfig": {
"operator": "<string>",
"groups": [
{
"operator": "<string>",
"rules": [
{
"tagName": "<string>",
"tagId": "<string>",
"condition": "<string>"
}
]
}
]
},
"channelList": [
"<string>"
],
"personaNameOverride": "<string>",
"enabled": true,
"flowVariableValues": {}
}
],
"personaIds": [
"<string>"
],
"favorited": true,
"locked": true,
"reschedulingEnabled": true,
"category": "<string>",
"folderId": "<string>",
"followUpActive": true,
"followUpSequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"smartFollowUp": true,
"followUpRepeat": true,
"followUpVarianceMinutes": 123,
"followUpExtraPrompt": "<string>",
"tools": [
{
"id": "<string>",
"type": "<string>",
"enabled": true,
"options": {}
}
],
"followUpStates": [
{
"id": 123,
"name": "<string>",
"isDefault": true,
"sequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"repeatFinal": true,
"extraPrompt": "<string>",
"order": 123
}
]
}Authorizations
CloseBot API Key Authorization
Path Parameters
The bot ID.
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

